フロリダ州運転免許の照会
フロリダ州で発行された運転免許の 状態、制限、裏書、指定 などを照会します。クエリ documentNumber に免許証番号を指定します。
エンドポイント
GET https://api.verifik.co/v2/usa/florida/driver-license
免許証番号をクエリ documentNumber で指定して照会します。
ヘッダー
| 名前 | 値 |
|---|---|
| Content-Type | application/json |
| Authorization | Bearer <token> |
パラメーター
| 名前 | 型 | 必須 | 説明 | 例 |
|---|---|---|---|---|
documentNumber | string | はい | フロリダ州の運転免許番号。 | B123-456-78-910-0 |
リクエスト
- JavaScript
- Python
- Swift
- PHP
import axios from 'axios';
const options = {
method: 'GET',
url: 'https://api.verifik.co/v2/usa/florida/driver-license',
params: { documentNumber: 'B123-456-78-910-0'},
headers: {
Accept: 'application/json',
Authorization: 'jwt <tu_token>'
}
};
try {
const { data } = await axios.request(options);
console.log(data);
} catch (error) {
console.error(error);
}
import http.client
conn = http.client.HTTPSConnection("api.verifik.co")
payload = ''
headers = {}
conn.request("GET", "/v2/usa/florida/driver-license?documentNumber=B123-456-78-910-0", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
var request = URLRequest(url: URL(string: "https://api.verifik.co/v2/usa/florida/driver-license?documentNumber=B123-456-78-910-0")!,timeoutInterval: Double.infinity)
request.httpMethod = "GET"
let task = URLSession.shared.dataTask(with: request) { data, response, error in
guard let data = data else {
print(String(describing: error))
return
}
print(String(data: data, encoding: .utf8)!)
}
task.resume()
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('https://api.verifik.co/v2/usa/florida/driver-license?documentNumber=B123-456-78-910-0');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
'follow_redirects' => TRUE
));
try {
$response = $request->send();
if ($response->getStatus() == 200) {
echo $response->getBody();
}
else {
echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
$response->getReasonPhrase();
}
}
catch(HTTP_Request2_Exception $e) {
echo 'Error: ' . $e->getMessage();
}
レスポンス
- 200
- 404
- 409
- 409 (Invalid Type)
{
"data": {
"designations": "None on Record",
"documentNumber": "B123-456-78-910-0",
"endorsements": "None on Record",
"restrictions": "None on Record",
"status": "As of February 26, 2024, at 12:11 AM, Florida driver license number B123-456-78-910-0 is Valid. This license is a Class E with an expiration date of 12/28/2026."
},
"signature": {
"dateTime": "March 12, 2024 8:15 PM",
"message": "Certified by Verifik.co"
},
"id": "XUXSL"
}
{
"code": "NotFound",
"message": "Record not found."
}
{
"code": "MissingParameter",
"message": "missing documentType\n. missing documentNumber\n"
}
{
"code": "MissingParameter",
"message": "documentType must be one of: [DNIAR]"
}